package com.sifang.modules.supply.warehouse.vo;

import com.sifang.modules.sys.util.excel.ExcelField;

import javax.persistence.ManyToOne;
import java.math.BigDecimal;
import java.util.Date;

public class PurchaseOrderExcel {

    private String sort;
    private String number;
    private String spaNumber ;
    private String status;

    private String creator;

    private String remark;
    private String warehouseName;

    private String examineRemark;

    private String supplierName;

    private Date create_time;

    private Date confirm_time;

    private Date examine_time;

    private Date finish_time;

    private String material_code;

    private String material_type;

    private String material_group;

    private String material_unit;
    private String material_remark;

    private BigDecimal amount;

    private BigDecimal in_amount;


    @ManyToOne
    @ExcelField(title="排序", align=2, sort=10)
    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    @ManyToOne
    @ExcelField(title="订单编号", align=2, sort=20)
    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    @ManyToOne
    @ExcelField(title="SAP采购订单号", align=2, sort=30)
    public String getSpaNumber() {
        return spaNumber;
    }

    public void setSpaNumber(String spaNumber) {
        this.spaNumber = spaNumber;
    }

    @ManyToOne
    @ExcelField(title="订单状态", align=2, sort=40)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @ManyToOne
    @ExcelField(title="供应商名称", align=2, sort=40)
    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    @ManyToOne
    @ExcelField(title="下单人", align=2, sort=50)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @ManyToOne
    @ExcelField(title="订单备注", align=2, sort=60)
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @ManyToOne
    @ExcelField(title="入库仓库", align=2, sort=70)
    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    @ManyToOne
    @ExcelField(title="检验备注", align=2, sort=80)
    public String getExamineRemark() {
        return examineRemark;
    }

    public void setExamineRemark(String examineRemark) {
        this.examineRemark = examineRemark;
    }

    @ManyToOne
    @ExcelField(title="下单时间", align=2, sort=90)
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @ManyToOne
    @ExcelField(title="确认时间", align=2, sort=100)
    public Date getConfirm_time() {
        return confirm_time;
    }

    public void setConfirm_time(Date confirm_time) {
        this.confirm_time = confirm_time;
    }

    @ManyToOne
    @ExcelField(title="开始检验时间", align=2, sort=110)
    public Date getExamine_time() {
        return examine_time;
    }

    public void setExamine_time(Date examine_time) {
        this.examine_time = examine_time;
    }

    @ManyToOne
    @ExcelField(title="完成时间", align=2, sort=120)
    public Date getFinish_time() {
        return finish_time;
    }

    public void setFinish_time(Date finish_time) {
        this.finish_time = finish_time;
    }

    @ManyToOne
    @ExcelField(title="物料代码", align=2, sort=130)
    public String getMaterial_code() {
        return material_code;
    }

    public void setMaterial_code(String material_code) {
        this.material_code = material_code;
    }

    @ManyToOne
    @ExcelField(title="物料类型", align=2, sort=140)
    public String getMaterial_type() {
        return material_type;
    }

    public void setMaterial_type(String material_type) {
        this.material_type = material_type;
    }

    @ManyToOne
    @ExcelField(title="物料组", align=2, sort=150)
    public String getMaterial_group() {
        return material_group;
    }

    public void setMaterial_group(String material_group) {
        this.material_group = material_group;
    }

    @ManyToOne
    @ExcelField(title="物料单位", align=2, sort=160)
    public String getMaterial_unit() {
        return material_unit;
    }

    public void setMaterial_unit(String material_unit) {
        this.material_unit = material_unit;
    }

    @ManyToOne
    @ExcelField(title="物料描述", align=2, sort=170)
    public String getMaterial_remark() {
        return material_remark;
    }

    public void setMaterial_remark(String material_remark) {
        this.material_remark = material_remark;
    }

    @ManyToOne
    @ExcelField(title="下单数量", align=2, sort=180)
    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @ManyToOne
    @ExcelField(title="入库数量", align=2, sort=200)
    public BigDecimal getIn_amount() {
        return in_amount;
    }

    public void setIn_amount(BigDecimal in_amount) {
        this.in_amount = in_amount;
    }
}
